package de.bsvrz.sys.funclib.bitctrl.modell;

import de.bsvrz.dav.daf.main.config.SystemObject;
import de.bsvrz.sys.funclib.bitctrl.modell.impl.AbstractSystemObjekt;

/**
 * Mock-Objekt als einfacher Wrapper für Systemobjekte, die im Modell nicht
 * explizit modelliert sind.
 *
 * @author BitCtrl Systems GmbH, Falko Schumann
 */
public class MockSystemObjekt extends AbstractSystemObjekt {

	/**
	 * Initialisiert das Mock-Objekt mit dem zu wrappenden {@link SystemObject}.
	 *
	 * @param objekt  das gewrappte Objekt.
	 * @param factory die Factory, die das {@link SystemObjekt} verwaltet.
	 */
	public MockSystemObjekt(final SystemObject objekt, final ObjektFactory factory) {
		super(objekt, factory);
	}

	@Override
	protected String doGetTypPid() {
		SystemObject systemObject = getSystemObject();
		if (systemObject.equals(systemObject.getDataModel().getTypeTypeObject())) {
			throw new IllegalStateException("Typ: " + systemObject
					+ " hat keinen Supertyp. Vermutlich ist das Datenmodell im Klassenpfad nicht verfügbar!");
		}
		return getObjektFactory().getModellobjekt(systemObject.getType()).getPid();
	}

}
