package de.bsvrz.sys.funclib.bitctrl.modell;

import java.text.Collator;
import java.util.Comparator;

/**
 * Sortiert Systemobjekte nach ihrem Namen. Die Sortierung berücksichtigt lokale
 * Besonderheiten wie z.&nbsp;B. Umlaute.
 *
 * @author BitCtrl Systems GmbH, Falko Schumann
 */
public class SystemObjektComparator implements Comparator<SystemObjekt> {

	@Override
	public int compare(final SystemObjekt so1, final SystemObjekt so2) {
		return Collator.getInstance().compare(
				so1.getSystemObject().getNameOrPidOrId(),
				so2.getSystemObject().getNameOrPidOrId());
	}

}
