/**
 *
 */
package de.bsvrz.sys.funclib.bitctrl.modell.impl;

import de.bsvrz.dav.daf.main.config.SystemObject;
import de.bsvrz.sys.funclib.bitctrl.modell.SystemObjektBereich;
import de.bsvrz.sys.funclib.bitctrl.modell.SystemObjektTyp;
import de.bsvrz.sys.funclib.bitctrl.modell.UngueltigesSystemObjekt;

/**
 * Basisklasse für ein ungültiges Objekt, das gar nichts kennt außer optional
 * seine ID.
 *
 * @author BitCtrl Systems GmbH, Falko Schumann
 */
public class BaseUngueltigesSystemObjekt implements UngueltigesSystemObjekt {

	private long id;

	public BaseUngueltigesSystemObjekt() {
		// default constructor
	}

	public BaseUngueltigesSystemObjekt(final long id) {
		this.id = id;
	}

	@Override
	public long getId() {
		return id;
	}

	@Override
	public String getName() {
		return null;
	}

	@Override
	public String getPid() {
		return null;
	}

	@Override
	public String toString() {
		return "[" + id + "]";
	}

	@Override
	public SystemObject getSystemObject() {
		throw new UnsupportedOperationException(
				"Das Systemobjekt ist ungültig.");
	}

	@Override
	public SystemObjektTyp getTyp() {
		throw new UnsupportedOperationException(
				"Das Systemobjekt ist ungültig.");
	}

	@Override
	public SystemObjektBereich getKonfigurationsBereich() {
		throw new UnsupportedOperationException(
				"Das Systemobjekt ist ungültig.");
	}

}
